[arch-commits] Commit in truecrypt/trunk (4 files)

Tom Killian tom at archlinux.org
Mon Apr 14 22:58:40 UTC 2008


    Date: Monday, April 14, 2008 @ 18:58:39
  Author: tom
Revision: 276

upgpkg: truecrypt 5.1a-1
    gcc 4.3 patch written and submitted upstream, pending fix

Modified:
  truecrypt/trunk/PKGBUILD
  truecrypt/trunk/truecrypt.install
Deleted:
  truecrypt/trunk/kernel-2.6.23.patch
  truecrypt/trunk/kernel-2.6.24.patch

---------------------+
 PKGBUILD            |   42 ++++++++++++++++++++++-------------------
 kernel-2.6.23.patch |   15 --------------
 kernel-2.6.24.patch |   51 --------------------------------------------------
 truecrypt.install   |   25 ++++++++----------------
 4 files changed, 32 insertions(+), 101 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-04-14 22:02:43 UTC (rev 275)
+++ PKGBUILD	2008-04-14 22:58:39 UTC (rev 276)
@@ -1,28 +1,32 @@
-# $Id: PKGBUILD,v 1.19 2008/03/21 17:13:00 tpowa Exp $
+# $Id: PKGBUILD,v 1.18 2008/01/25 17:48:42 tpowa Exp $
 # Maintainer: Tom K <tom at archlinux.org>
 
 pkgname=truecrypt
-pkgver=4.3a
-pkgrel=13
-pkgdesc="Free open-source disk encryption software - module for kernel26"
+pkgver=5.1a
+pkgrel=1
+pkgdesc="Free open-source cross-platform disk encryption software"
 arch=('i686' 'x86_64')
-depends=('truecrypt-utils' 'kernel26>=2.6.24.3-4' 'kernel26<=2.6.25-0')
-source=(http://www.truecrypt.org/downloads/truecrypt-$pkgver-source-code.tar.gz kernel-2.6.23.patch kernel-2.6.24.patch)
-md5sums=('8f2536eae16e6044a22b2a82c7003357')
+depends=('fuse' 'gtk2' 'libsm')
+# N.B. Truecrypt's web-based source download is incompatible with
+# makepkg. Source has been placed on ftp.archlinux.org instead
+source=(http://ftp.archlinux.org/other/truecrypt/TrueCrypt-$pkgver-Source.tar.gz
+	http://prdownloads.sourceforge.net/wxwindows/wxWidgets-2.8.7.tar.bz2
+	gcc-4.3.patch)
 url="http://www.truecrypt.org/"
+license=('custom')
+conflicts=('truecrypt-utils')
+replaces=('truecrypt-utils')
 install=truecrypt.install
-license=('custom')
-#options=('force')
+options=('force')
 
-_kernver=2.6.24-ARCH
-
 build() {
-  cd $startdir/src/truecrypt-$pkgver-source-code/Linux/Kernel
-  patch -Np0 -i $startdir/src/kernel-2.6.23.patch || return 1
-  patch -Np0 -i $startdir/src/kernel-2.6.24.patch || return 1
-  make KERNEL_SRC=/lib/modules/$_kernver/build || return 1
-  install -Dm600 ../Kernel/truecrypt.ko $startdir/pkg/lib/modules/$_kernver/extra/truecrypt.ko
-
-  # Update kernel version in .install script
-  sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=$_kernver/g" $startdir/truecrypt.install
+  cd $startdir/src/truecrypt-$pkgver-source
+  patch -Np1 -i ../gcc-4.3.patch || return 1
+  make WX_ROOT=$startdir/src/wxWidgets-2.8.7 wxbuild || return 1
+  make || return 1
+  install -Dm755 Main/truecrypt $startdir/pkg/usr/bin/truecrypt
+  install -Dm644 License.txt $startdir/pkg/usr/share/licenses/truecrypt/License.txt
 }
+md5sums=('bf8363f2bb3a24c2fcea588b210b3a16'
+         'e3455083afdf6404a569a8bf0701cf13'
+         '3ac33867555479f6b935daa32ee7889b')

Deleted: kernel-2.6.23.patch
===================================================================
--- kernel-2.6.23.patch	2008-04-14 22:02:43 UTC (rev 275)
+++ kernel-2.6.23.patch	2008-04-14 22:58:39 UTC (rev 276)
@@ -1,15 +0,0 @@
-$ diff -urN Dm-target.c.asli Dm-target.c
---- Dm-target.c.asli    2007-04-24 23:32:06 +0700
-+++ Dm-target.c 2007-10-05 03:41:00 +0700
-@@ -656,7 +656,11 @@
- 		goto err;
- 	}
-
-+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,23)
- 	bio_ctx_cache = kmem_cache_create ("truecrypt-bioctx", sizeof (struct bio_ctx), 0, 0, NULL, NULL);
-+#else
-+	bio_ctx_cache = kmem_cache_create ("truecrypt-bioctx", sizeof (struct bio_ctx), 0, 0, NULL);
-+#endif
- 	if (!bio_ctx_cache)
- 	{
- 		error ("kmem_cache_create failed"); 

Deleted: kernel-2.6.24.patch
===================================================================
--- kernel-2.6.24.patch	2008-04-14 22:02:43 UTC (rev 275)
+++ kernel-2.6.24.patch	2008-04-14 22:58:39 UTC (rev 276)
@@ -1,51 +0,0 @@
-diff -Nrup a/Linux/Kernel/Dm-target.c b/Linux/Kernel/Dm-target.c
---- Dm-target.c	2007-04-24 18:32:06.000000000 +0200
-+++ Dm-target.c	2007-12-22 15:07:56.000000000 +0100
-@@ -375,7 +375,11 @@ static void dereference_bio_ctx (struct 
- 	if (!atomic_dec_and_test (&bc->ref_count))
- 		return;
- 
-+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,24)
- 	bio_endio (bc->orig_bio, bc->orig_bio->bi_size, bc->error);
-+#else
-+	bio_endio (bc->orig_bio, bc->error);
-+#endif
- 	mempool_free (bc, tc->bio_ctx_pool);
- }
- 
-@@ -417,24 +421,35 @@ static void work_process (void *qdata)
- }
- 
- 
-+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,24)
- static int truecrypt_endio (struct bio *bio, unsigned int bytes_done, int error)
-+#else
-+static int truecrypt_endio (struct bio *bio, int error)
-+#endif
- {
- 	struct bio_ctx *bc = (struct bio_ctx *) bio->bi_private;
- 	struct target_ctx *tc = (struct target_ctx *) bc->target->private;
- 	struct bio_vec *bv;
- 	int seg_no;
- 	
-+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,24)
- 	trace (1, "end: sc=%llu fl=%ld rw=%ld sz=%d ix=%hd vc=%hd dn=%d er=%d\n",
- 		(unsigned long long) bio->bi_sector, bio->bi_flags, bio->bi_rw, bio->bi_size, bio->bi_idx, bio->bi_vcnt, bytes_done, error);
-+#else
-+	trace (1, "end: sc=%llu fl=%ld sz=%ld rw=%ld ix=%hd vc=%hd er=%d\n",
-+		(unsigned long long) bio->bi_sector, bio->bi_flags, bio->bi_size, bio->bi_rw, bio->bi_idx, bio->bi_vcnt, error);
-+#endif
- 
- 	if (error != 0)
- 		bc->error = error;
- 
-+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,24)
- 	if (bio->bi_size)
- 	{
- 		trace (2, "Outstanding IO: %d\n", bio->bi_size);
- 		return 1;
- 	}
-+#endif
- 
- 	if (bio_data_dir (bio) == READ)
- 	{

Modified: truecrypt.install
===================================================================
--- truecrypt.install	2008-04-14 22:02:43 UTC (rev 275)
+++ truecrypt.install	2008-04-14 22:58:39 UTC (rev 276)
@@ -1,22 +1,15 @@
-# arg 1:  the new package version
-post_install() {
-  post_upgrade
-}
-
-# arg 1:  the new package version
-# arg 2:  the old package version
 post_upgrade() {
-  # updating module dependencies
-  echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.24-ARCH
-  depmod -a -v $KERNEL_VERSION  > /dev/null 2>&1
-}
+  cat << 'EOM'
+  
+  ==>
+  ==> PLEASE NOTE:
+  ==> TrueCrypt is now fuse-based, and no longer requires separate module
+  ==> and utils packages.
+  ==>
 
-# arg 1:  the old package version
-post_remove() {
-  post_upgrade
+EOM
 }
-
+      
 op=$1
 shift
 $op $*





More information about the arch-commits mailing list